Package com.independentsoft.office.charts

# Class ColorMapOverride

java.lang.Object
com.independentsoft.office.charts.ColorMapOverride

public class ColorMapOverride extends Object
The Class ColorMapOverride.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ColorMapOverride()`
  Instantiates a new color map override.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ColorMapOverride`
  `clone()`
  `ThemeColorReference`
  `getAccent1()`
  Gets the accent1.
  `ThemeColorReference`
  `getAccent2()`
  Gets the accent2.
  `ThemeColorReference`
  `getAccent3()`
  Gets the accent3.
  `ThemeColorReference`
  `getAccent4()`
  Gets the accent4.
  `ThemeColorReference`
  `getAccent5()`
  Gets the accent5.
  `ThemeColorReference`
  `getAccent6()`
  Gets the accent6.
  `ThemeColorReference`
  `getBackground1()`
  Gets the background1.
  `ThemeColorReference`
  `getBackground2()`
  Gets the background2.
  `ThemeColorReference`
  `getFollowedHyperlink()`
  Gets the followed hyperlink.
  `ThemeColorReference`
  `getHyperlink()`
  Gets the hyperlink.
  `ThemeColorReference`
  `getText1()`
  Gets the text1.
  `ThemeColorReference`
  `getText2()`
  Gets the text2.
  `void`
  `setAccent1​(ThemeColorReference accent1)`
  Sets the accent1.
  `void`
  `setAccent2​(ThemeColorReference accent2)`
  Sets the accent2.
  `void`
  `setAccent3​(ThemeColorReference accent3)`
  Sets the accent3.
  `void`
  `setAccent4​(ThemeColorReference accent4)`
  Sets the accent4.
  `void`
  `setAccent5​(ThemeColorReference accent5)`
  Sets the accent5.
  `void`
  `setAccent6​(ThemeColorReference accent6)`
  Sets the accent6.
  `void`
  `setBackground1​(ThemeColorReference background1)`
  Sets the background1.
  `void`
  `setBackground2​(ThemeColorReference background2)`
  Sets the background2.
  `void`
  `setFollowedHyperlink​(ThemeColorReference followedHyperlink)`
  Sets the followed hyperlink.
  `void`
  `setHyperlink​(ThemeColorReference hyperlink)`
  Sets the hyperlink.
  `void`
  `setText1​(ThemeColorReference text1)`
  Sets the text1.
  `void`
  `setText2​(ThemeColorReference text2)`
  Sets the text2.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ColorMapOverride

    public ColorMapOverride()
    Instantiates a new color map override.

- ## Method Details

  - ### clone

    public ColorMapOverride clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getAccent1

    public ThemeColorReference getAccent1()
    Gets the accent1.
    Returns:
      the accent1

  - ### setAccent1

    public void setAccent1​(ThemeColorReference accent1)
    Sets the accent1.
    Parameters:
      `accent1` - the new accent1

  - ### getAccent2

    public ThemeColorReference getAccent2()
    Gets the accent2.
    Returns:
      the accent2

  - ### setAccent2

    public void setAccent2​(ThemeColorReference accent2)
    Sets the accent2.
    Parameters:
      `accent2` - the new accent2

  - ### getAccent3

    public ThemeColorReference getAccent3()
    Gets the accent3.
    Returns:
      the accent3

  - ### setAccent3

    public void setAccent3​(ThemeColorReference accent3)
    Sets the accent3.
    Parameters:
      `accent3` - the new accent3

  - ### getAccent4

    public ThemeColorReference getAccent4()
    Gets the accent4.
    Returns:
      the accent4

  - ### setAccent4

    public void setAccent4​(ThemeColorReference accent4)
    Sets the accent4.
    Parameters:
      `accent4` - the new accent4

  - ### getAccent5

    public ThemeColorReference getAccent5()
    Gets the accent5.
    Returns:
      the accent5

  - ### setAccent5

    public void setAccent5​(ThemeColorReference accent5)
    Sets the accent5.
    Parameters:
      `accent5` - the new accent5

  - ### getAccent6

    public ThemeColorReference getAccent6()
    Gets the accent6.
    Returns:
      the accent6

  - ### setAccent6

    public void setAccent6​(ThemeColorReference accent6)
    Sets the accent6.
    Parameters:
      `accent6` - the new accent6

  - ### getBackground1

    public ThemeColorReference getBackground1()
    Gets the background1.
    Returns:
      the background1

  - ### setBackground1

    public void setBackground1​(ThemeColorReference background1)
    Sets the background1.
    Parameters:
      `background1` - the new background1

  - ### getBackground2

    public ThemeColorReference getBackground2()
    Gets the background2.
    Returns:
      the background2

  - ### setBackground2

    public void setBackground2​(ThemeColorReference background2)
    Sets the background2.
    Parameters:
      `background2` - the new background2

  - ### getFollowedHyperlink

    public ThemeColorReference getFollowedHyperlink()
    Gets the followed hyperlink.
    Returns:
      the followed hyperlink

  - ### setFollowedHyperlink

    public void setFollowedHyperlink​(ThemeColorReference followedHyperlink)
    Sets the followed hyperlink.
    Parameters:
      `followedHyperlink` - the new followed hyperlink

  - ### getHyperlink

    public ThemeColorReference getHyperlink()
    Gets the hyperlink.
    Returns:
      the hyperlink

  - ### setHyperlink

    public void setHyperlink​(ThemeColorReference hyperlink)
    Sets the hyperlink.
    Parameters:
      `hyperlink` - the new hyperlink

  - ### getText1

    public ThemeColorReference getText1()
    Gets the text1.
    Returns:
      the text1

  - ### setText1

    public void setText1​(ThemeColorReference text1)
    Sets the text1.
    Parameters:
      `text1` - the new text1

  - ### getText2

    public ThemeColorReference getText2()
    Gets the text2.
    Returns:
      the text2

  - ### setText2

    public void setText2​(ThemeColorReference text2)
    Sets the text2.
    Parameters:
      `text2` - the new text2